This is the mail archive of the crossgcc@sourceware.org mailing list for the crossgcc project.
See the CrossGCC FAQ for lots more information.
| Index Nav: | [Date Index] [Subject Index] [Author Index] [Thread Index] | |
|---|---|---|
| Message Nav: | [Date Prev] [Date Next] | [Thread Prev] [Thread Next] |
| Other format: | [Raw text] | |
Andy, All, On Thursday 08 January 2009 22:58:20 Andy Johnson wrote: [--SNIP--] > > What gdb build is failing: "cross" or "native"? > > If cross, then you are missing termcap on your system. It's up to you > > to install it. > Cross, but I have a /usr/include/termcap.h and /usr/lib64/libtermcap.so > on my system, both from the ncurses-devel-5.6 package (FC 10). What > else could it be looking for? What's exactly in your build.log? Did you also look at gdb's config.log? There are often a very good indication at what went wrong. > Regarding the restart problem, if I select "gzip saved states" then > the build crashes at the end of the "Extracting and patching" step > with a tar error: [--SNIP--] > Any hints on how to get around this? Care to test the attached patch? Regards, Yann E. MORIN. -- .-----------------.--------------------.------------------.--------------------. | Yann E. MORIN | Real-Time Embedded | /"\ ASCII RIBBON | Erics' conspiracy: | | +0/33 662376056 | Software Designer | \ / CAMPAIGN | ___ | | --==< ^_^ >==-- `------------.-------: X AGAINST | \e/ There is no | | http://ymorin.is-a-geek.org/ | _/*\_ | / \ HTML MAIL | v conspiracy. | `------------------------------^-------^------------------^--------------------'
Index: ct-ng.trunk/scripts/functions
===================================================================
--- ct-ng.trunk/scripts/functions (revision 1300)
+++ ct-ng.trunk/scripts/functions (working copy)
@@ -765,6 +765,11 @@
local state_dir="${CT_STATE_DIR}/${state_name}"
CT_DoLog DEBUG "Saving state to restart at step '${state_name}'..."
+
+ # Wait for all background jobs: existing directories are removed
+ # in the background
+ wait || true
+
rm -rf "${state_dir}"
mkdir -p "${state_dir}"
-- For unsubscribe information see http://sourceware.org/lists.html#faq
| Index Nav: | [Date Index] [Subject Index] [Author Index] [Thread Index] | |
|---|---|---|
| Message Nav: | [Date Prev] [Date Next] | [Thread Prev] [Thread Next] |